import React from 'react'
import { reduxForm } from 'redux-form'
import { required } from 'xpub-validators'
import { Button, ValidatedField, TextField } from '@pubsweet/ui'

import { FormItems } from '../UIComponents'

const { Row, Err, Label, RowItem, FormContainer } = FormItems

const TextFormField = input => <TextField {...input} type="password" />

const Step1 = ({ journal, handleSubmit, error }) => (
  <FormContainer onSubmit={handleSubmit}>
    <Row>
      <RowItem vertical>
        <Label>Password</Label>
        <ValidatedField
          component={TextFormField}
          name="password"
          validate={[required]}
        />
      </RowItem>
    </Row>
    {error && (
      <Row>
        <RowItem>
          <Err>{error}</Err>
        </RowItem>
      </Row>
    )}
    <Row>
      <Button primary type="submit">
        CONFIRM
      </Button>
    </Row>
  </FormContainer>
)

export default reduxForm({
  form: 'signUpInvitation',
  destroyOnUnmount: false,
  forceUnregisterOnUnmount: true,
})(Step1)
